<div style="text-align: center">
  <h1>Login</h1>
</div>
<div id="login">
  <div id="login-form">
    <form [formGroup]="loginForm" (ngSubmit)="login()">
      <table>
        <tr>
          <td><label for="email">Email:</label></td>
          <td><input id="email" type="email" formControlName="email"></td>
        </tr>
        <tr>
          <td><label for="password">Password:</label></td>
          <td><input id="password" type="password" formControlName="password"></td>
        </tr>
      </table>
      <div *ngIf="isLoggedIn" style="text-align: center">
        <p>You're logged in</p>
      </div>
      <div *ngIf="!isLoggedIn" class="login-btn">
        <button type="submit" [disabled]="isLoggedIn">Sign In</button>
      </div>
      <div *ngIf="isLoggedIn" class="logout-btn">
        <button type="submit" (click)="signOut()">Sign Out</button>
      </div>
    </form>
    <div *ngIf="isLoginFailed" style="color: red">
      <p>Login failed: {{errorMessage}}</p>
    </div>
  </div>
</div>
